<?php
 
class Ctrl_2 extends CI_Controller {
	// Note: Unlike other programming languages, PHP has no command 
	// for declaring a variable. It is created the moment you first 
	// assign a value to it.
	// źródło: http://www.w3schools.com/php/php_variables.asp
	// 
	// var $today;  // Nie jest wymagane deklarowanie zmiennych.

	// Konstruktor w programowaniu obiektowym to specjalna METODA danej KLASY, 
	// wywoływana podczas tworzenia jej INSTANCJI. 
	// Podstawowym zadaniem konstruktora jest zainicjowanie obiektu.
	// W PHP kunstruktor MUSI nosić nazwę __construct 
	// W nazwie są dwa (2) podkreślniki (_)
	function __construct() {
		// Wywołanie konstruktora klasy nadrzędnej (CI_Controller). 
		parent::__construct();  
		// Inicjujemy zmienną $today. 
		$this->today = date('d-m-Y');
	}

	// Domyślna metoda kontrolera.
	function index() {
		// Tworzymy tablicę asociacyjną (*) z danymi, które chcemy przesłać do widoku.
		// Najpierw nazwa głównego widoku.
		$data['main_content'] = 'view_2';

		// Następnie zmienna z bieżącą datą (ustawiona w konstruktorze).
		$data['today'] = $this->today;

		// Teraz możemy już załadować widok z szablonem strony (plik template.php).
		// Do widoku przesyłamy tablicę asocjacyjną $data.
		$this->load->view('template', $data);
	}
}

// (*) Tablica asocjacyjna (tablica skojarzeniowa, ang. associative array). 
// Nazwa dla powszechnie stosowanego w informatyce abstrakcyjnego typu danych, 
// który przechowuje pary (unikatowy klucz, wartość) i umożliwia dostęp do 
// wartości poprzez podanie klucza.
//
// Źródło: http://pl.wikipedia.org/wiki/Tablica_asocjacyjna

/* End of file ctrl_2.php */ 
/* Location: ./application/controllers/ctrl_2.php */

