<?php
class Emp_controller extends CI_Controller {
	function __construct() {
		parent::__construct();  
		// Załadowanie całej infrastruktury potrzebnej do współpracy z bazami danych.
		$this->load->database();
	}

	// Domyślna metoda kontrolera.
	function index() {
		// Załadowanie modelu – nazwa zgodna z istniejącą
		// nazwą pliku w katalogu models.
		$this->load->model('emp_model');  
		  
		// Odwołanie się do metody (zdefiniowanej w emp_model), która zwraca listę pracowników.
		// Wynik zapisujemy do tablicy asocjacyjnej.  
		//
		// Tablica z wynikami dostępna jest w miejscu wywołania metody modelu, 
		// czyli w kontrolerze, który następnie przekazuje ją do widoku.
		$view_data['EMP_LIST'] = $this->emp_model->get_emp();

		// Dodatkowo tworzymy sobie zmienną z bierzącą datą.
		$view_data['TODAY'] = date('d-m-Y');
		
		// Załadowanie widoku, do którego prześlemy listę pracowników.
		// Do widoku przesyłamy zdefiniowaną wcześniej tablicę z danymi.
		// Nazwa zgodna z istniejącą nazwą pliku w katalogu views.
		$this->load->view('emp_view', $view_data);
		
		// Inny sposób obsługi widoków z użyciem "Template Parser Class".
		// Umożliwia wyświetlanie treści przekazanych do widoku w sposób 
		// nieco bardziej estetyczny, niż mieszanina kodu HTML z topornymi 
		// wstawkami PHP. 
		// Załadowanie biblioteki parsującej plik widoku.
		$this->load->library('parser'); 
		$this->parser->parse('emp_view_template_parser', $view_data); 
	}
}

/* End of file emp_controller.php */ 
/* Location: ./application/controllers/emp_controller.php */




