<?php
class Emp_controller_2 extends CI_Controller {
	function __construct() {
		parent::__construct();  
		$this->load->database();
		$this->load->model('emp_model_2');  
	}
	
	// Wyświetlanie danych z tabeli.
	function c_select() {
		$view_data['emp_list'] = $this->emp_model_2->m_select();
		$this->load->view('emp_view_2_header');
		$this->load->view('emp_view_2_select', $view_data);
		$this->load->view('emp_view_2_footer');
	}
	
	// Wyświetlanie rekordu o wskazanym ID.
	function c_select_by_id($id) {
		$view_data['emp_list'] = $this->emp_model_2->m_select_by_id($id);
		$this->load->view('emp_view_2_select_by_id', $view_data);
	}
	
	// Dodawanie nowego rekordu.
	function c_insert() {
		$this->load->helper('form');
		$this->load->library('form_validation');
		
		$this->form_validation->set_rules('empno', 'Empno', 'required');
		$this->form_validation->set_rules('ename', 'Ename', 'required');

		if ($this->form_validation->run() === FALSE) {
			$this->load->view('emp_view_2_header');
			$this->load->view('emp_view_2_insert');
			$this->load->view('emp_view_2_footer');
		}
		else {
			$this->emp_model_2->m_insert();
			$this->c_select();
		}
	}	

	// Formularz do edycji rekordów.	
	function c_update_form($id) {
		$this->load->helper('form');
		$this->load->library('form_validation');
		$this->form_validation->set_rules('ename', 'Ename', 'required');
		$view_data['emp_list'] = $this->emp_model_2->m_select_by_id($id);
		$this->load->view('emp_view_2_header');
		$this->load->view('emp_view_2_update', $view_data);
		$this->load->view('emp_view_2_footer');
	}
	
	// Edycja rekordu. Dane przekazane z widoku 'emp_view_2_update'.
	function c_update() {
		$this->emp_model_2->m_update();
		$this->c_select();
	}
	
	// Kasowanie rekordu o wskazanym ID.
	function c_delete($id) {
		$this->emp_model_2->m_delete($id);
		if ($this->db->affected_rows() == 1) {
			$this->load->view('emp_view_2_header');
			$this->load->view('emp_view_2_success');
			// Wywołanie metody ($this->c_select) nie działa tak jak się spodziewam. 
			// Patrz na adresy w linkach Edytuj oraz Kasuj :-( 
			// W metodach c_insert oraz c_update działa. 
			// Na razie nie rozumiem mechanizmu do końca :-(
			//
			// $this->c_select();
			//
			// Więc robimy tak:
			// Używany tzw. "Pomocniki" (Helpers), czyli funkcje wykonujące proste 
			// pomocnicze czynności. CI posiada zestaw własnych "Pomocników",
			// lecz można także tworzyć swoje. 
			$this->load->helper('url');
			$url = $this->config->base_url();
			$controller = $this->router->fetch_class(); // for controller
			// $method = $this->router->fetch_method(); // for method
			$data = array(
               'url' => $url,
               'controller' => $controller
			);
			$this->load->view('emp_view_2_link', $data);
			$this->load->view('emp_view_2_footer');
		} else {
			$this->load->view('emp_view_2_header');
			$this->load->view('emp_view_2_failure');
			$this->load->view('emp_view_2_footer');
		}
	}
}	

/* End of file emp_controller_2.php */ 
/* Location: ./application/controllers/emp_controller_2.php */




