<?php
class Emp_model extends CI_Model {

	function __construct() {
		parent::__construct();
	}
	
	// Metoda zwraca listę pracowników z tabeli EMP.
	function get_emp() {
		
		// Używany klasy Active Record
		// ActiveRecord kolekcjonuje szereg akcji, które w momencie wywołania  
		// metody get konwertowane są na kod SQL zgodny z używaną bazą danych.  
		// Jeśli wszystkie zapytania do bazy danych realizowane są przy pomocy  
		// ActiveRecord aplikacja staje się niezależna od zastosowanego 
		// systemu bazodanowego. 
		
		// Wybór pól dla klauzuli SELECT.
		$this->db->select('ENAME, HIREDATE, SAL');
	
		// Wybór tabeli dla klauzuli FROM.
		$this->db->from('EMP');
	
		// Wybór kolumny dla klauzuli ORDER BY.
		$this->db->order_by('ENAME');

		// Pobranie danych z bazy.
		$query = $this->db->get();
		
		// Zwraca tablicę z listą pracowników.
		// Jeśli pobrano przynajmniej jeden rekord.
		if ($query->num_rows() > 0)
			// Uwaga, CI definiuje też metodę result() 
			// Patrz: http://www.codeigniter.com/user_guide/database/results.html
			// Wówczas w widoku zamiast $EL['ENAME'] będzie trzeba wpisać $EL->ENAME
			$emp = $query->result_array();

		// Zwraca tablicę z pracownikami.		
		return $emp;
	}
}

/* End of file emp_model.php */ 
/* Location: ./application/models/emp_model.php */
