<?php
class Emp_model_2 extends CI_Model {

	function __construct() {
		parent::__construct();
	}
	
	// Metoda zwraca listę pracowników z tabeli PRAC.
	function m_select() {
		
		$this->db->select('empno, ename, hiredate, sal');
		$this->db->from('emp');
		$this->db->order_by('ename');
		$query = $this->db->get();
		
		// Jeśli pobrano przynajmniej jeden rekord.
		if ($query->num_rows() > 0)
			$emp = $query->result_array();

		return $emp;
	}
	
	// Pobieramy jeden rekord.
	function m_select_by_id($id) {
		$this->db->where('empno', $id);
		$query = $this->db->get('emp');
		$row = $query->row();
		return $row;
	}
	
	// Wstawiamy jeden rekord.
	function m_insert() {
		$this->load->helper('url');
		$data = array(
			'empno' => $this->input->post('empno'),
			'ename' => $this->input->post('ename')
		);
		return $this->db->insert('emp', $data);
	}	

	// Modyfikujemy jeden rekord. Dane docierają do modelu z widoku emp_view_2_update
	function m_update() {
		$data = array(
			'empno' => $this->input->post('empno'),
			'ename' => $this->input->post('ename'),
			'job' => $this->input->post('job'),
			'mgr' => $this->input->post('mgr'),
			'hiredate' => $this->input->post('hiredate'),
			'sal' => $this->input->post('sal'),
			'comm' => $this->input->post('comm')
			//'deptno' => $this->input->post('deptno')
		);
		$this->db->where('empno', $data['empno']);
		return $this->db->update('emp', $data);
	}

	// Kasujemy jeden rekord.
	function m_delete($id) {
		$this->db->where('empno', $id);
		return $this->db->delete('emp'); 
	}	

}

/* End of file emp_model_2.php */ 
/* Location: ./application/models/emp_model_2.php */
